curl --request POST \
--url https://api-dev.narrative.io/data-planes/{data_plane_id}/compute-pools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": {
"type": "snowflake_warehouse",
"name": "<string>",
"alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"display_name": "<string>",
"provider": {
"type": "snowflake_warehouse",
"size": "x_small",
"warehouse_type": "standard",
"auto_suspend": 123,
"auto_resume": true,
"min_cluster_count": 123,
"max_cluster_count": 123,
"scaling_policy": "standard",
"max_concurrency_level": 123,
"statement_queued_timeout_in_seconds": 123,
"statement_timeout_in_seconds": 123,
"enable_query_acceleration": true,
"query_acceleration_max_scale_factor": 123,
"resource_constraint": "<string>",
"comment": "<string>"
},
"description": "<string>",
"tags": [
"<string>"
],
"collaborators": {
"use": {
"type": "all"
}
}
}
'{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"data_plane_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": {
"type": "snowflake_warehouse",
"name": "<string>",
"alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"display_name": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"provider": {
"type": "snowflake_warehouse",
"size": "x_small",
"warehouse_type": "standard",
"auto_suspend": 123,
"auto_resume": true,
"min_cluster_count": 123,
"max_cluster_count": 123,
"scaling_policy": "standard",
"max_concurrency_level": 123,
"statement_queued_timeout_in_seconds": 123,
"statement_timeout_in_seconds": 123,
"enable_query_acceleration": true,
"query_acceleration_max_scale_factor": 123,
"resource_constraint": "<string>",
"comment": "<string>"
},
"collaborators": {
"use": {
"type": "all"
}
},
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Create a new compute pool owned by the authenticated company.
curl --request POST \
--url https://api-dev.narrative.io/data-planes/{data_plane_id}/compute-pools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": {
"type": "snowflake_warehouse",
"name": "<string>",
"alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"display_name": "<string>",
"provider": {
"type": "snowflake_warehouse",
"size": "x_small",
"warehouse_type": "standard",
"auto_suspend": 123,
"auto_resume": true,
"min_cluster_count": 123,
"max_cluster_count": 123,
"scaling_policy": "standard",
"max_concurrency_level": 123,
"statement_queued_timeout_in_seconds": 123,
"statement_timeout_in_seconds": 123,
"enable_query_acceleration": true,
"query_acceleration_max_scale_factor": 123,
"resource_constraint": "<string>",
"comment": "<string>"
},
"description": "<string>",
"tags": [
"<string>"
],
"collaborators": {
"use": {
"type": "all"
}
}
}
'{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"data_plane_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": {
"type": "snowflake_warehouse",
"name": "<string>",
"alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"display_name": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"provider": {
"type": "snowflake_warehouse",
"size": "x_small",
"warehouse_type": "standard",
"auto_suspend": 123,
"auto_resume": true,
"min_cluster_count": 123,
"max_cluster_count": 123,
"scaling_policy": "standard",
"max_concurrency_level": 123,
"statement_queued_timeout_in_seconds": 123,
"statement_timeout_in_seconds": 123,
"enable_query_acceleration": true,
"query_acceleration_max_scale_factor": 123,
"resource_constraint": "<string>",
"comment": "<string>"
},
"collaborators": {
"use": {
"type": "all"
}
},
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The data plane this compute pool belongs to.
Show child attributes
A unique slug identifier for the compute pool within a (company, data plane) scope.
A human-readable name for the compute pool.
Show child attributes
An optional description of the compute pool.
Show child attributes
Created
owned Show child attributes
active, archived Show child attributes
Show child attributes
Was this page helpful?